// linear-kernel.h
//
// \file
// Classes implemented linear kernels

#ifndef KERNEL_LIB_LINEAR_KERNEL_H__
#define KERNEL_LIB_LINEAR_KERNEL_H__

#include "kernel/lib/vector.h"

namespace kernel {


template <class T>
class LinearFunction
    : public FeaturedFunction< vector<T>, vector<T> {
public:
  typedef vector<T> Object;
  typedef vector<T> Feature;
